echo "Start of calculation of Tank flow model"

echo "Copy data"
cp -r 0/backup/alpha1 0/
cp -r 0/backup/U 0/
cp -r 0/backup/p_rgh 0/
cp -r system/controlDict_interFoam system/controlDict

echo "setFields"
$runApplication setFields

echo "decomposePar"
cp -r system/decomposeParDict_1 system/decomposeParDict
$runApplication decomposePar > log.decomposePar

echo "interFoam 4CPU"
pyFoamPlotRunner.py mpirun -np 4 interFoam -parallel > log.interFoam 

echo "reconstructPar"
$runApplication reconstructPar > log.reconstructPar

echo "set data"
rm -r processor0
rm -r processor1
rm -r processor2
rm -r processor3

pyFoamPlotWatcher.py --solver-not-running-anymore --hardcopy log.interFoam 

echo "End of calculation"

